Bug 808465 - Segmentation Fault on Startup
Segmentation Fault on Startup
Product: Fedora
Classification: Fedora
Component: xchat (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christopher Aillon
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-03-30 09:35 EDT by Ryan H. Lewis (rhl)
Modified: 2015-02-17 09:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-02-17 09:11:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
strace xchat &> xchat-segfault (5.29 MB, application/octet-stream)
2012-03-30 09:36 EDT, Ryan H. Lewis (rhl)
no flags Details

  None (edit)
Description Ryan H. Lewis (rhl) 2012-03-30 09:35:40 EDT
Description of problem:
I start xchat, it loads up, and before it finishes, it seg faults.

Version-Release number of selected component (if applicable):

How reproducible:
Every once and a while.

Steps to Reproduce:
1. start xchat
Actual results:
No xchat

Expected results:

Additional info:
strace is attached
Comment 1 Ryan H. Lewis (rhl) 2012-03-30 09:36:43 EDT
Created attachment 573983 [details]
strace xchat &> xchat-segfault
Comment 2 Ryan H. Lewis (rhl) 2012-04-04 17:43:59 EDT
$ gdb xchat
GNU gdb (GDB) Fedora (
Copyright (C) 2011 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
For bug reporting instructions, please see:
Reading symbols from /usr/bin/xchat...Reading symbols from /usr/lib/debug/usr/bin/xchat.debug...done.
(gdb) run
Starting program: /usr/bin/xchat 
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
Detaching after fork from child process 20415.
Detaching after fork from child process 20416.
Detaching after fork from child process 20417.

Program received signal SIGSEGV, Segmentation fault.
xchat_get_info (id=<optimized out>, ph=0x0) at plugin.c:1008
1008		sess = ph->context;
Missing separate debuginfos, use: debuginfo-install PackageKit-gtk-module-0.6.21-2.fc16.x86_64 enchant-1.6.0-3.fc16.x86_64 expat-2.0.1-11.fc15.x86_64 gtk2-engines-2.20.2-2.fc15.x86_64 hunspell-1.3.2-1.fc16.x86_64 keyutils-libs-1.5.2-1.fc16.x86_64 krb5-libs-1.9.3-1.fc16.x86_64 libXau-1.0.6-2.fc15.x86_64 libXcomposite-0.4.3-2.fc15.x86_64 libXcursor-1.1.11-3.fc15.x86_64 libXdamage-1.1.3-2.fc15.x86_64 libXfixes-5.0-1.fc16.x86_64 libXi-1.4.5-1.fc16.x86_64 libXinerama-1.1.1-2.fc15.x86_64 libXrandr-1.3.1-2.fc15.x86_64 libXrender-0.9.6-2.fc15.x86_64 libcanberra-0.28-3.fc16.x86_64 libcanberra-gtk2-0.28-3.fc16.x86_64 libcom_err-1.41.14-2.fc15.x86_64 libffi-3.0.10-1.fc16.x86_64 libogg-1.2.2-3.fc15.x86_64 libselinux-2.1.6-6.fc16.x86_64 libtdb-1.2.9-10.fc16.x86_64 libtool-ltdl-2.4-9.fc16.x86_64 libvorbis-1.3.3-1.fc16.x86_64 libxcb-1.7-3.fc16.x86_64 nss-softokn-freebl-3.13.3-1.fc16.x86_64 pixman-0.22.2-1.fc16.x86_64
Comment 3 Fedora End Of Life 2013-04-03 10:07:25 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
Comment 4 Fedora End Of Life 2015-01-09 12:05:14 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-17 09:11:19 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.